Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.decider.selector
Class AbstractSelector

    java.lang.Object
      org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
          org.drools.planner.core.localsearch.decider.selector.AbstractSelector

All Implemented Interfaces:
  EventListener, DeciderAware, Selector, LocalSearchSolverPhaseLifecycleListener

Direct Known Subclasses:
  CompositeSelector, MoveFactorySelector, TopListSelector

    public abstract class AbstractSelector

extends LocalSearchSolverPhaseLifecycleListenerAdapter
implements Selector

Abstract superclass for `Selector`.

See Also:
  `Selector`

Field Summary
`protected Decider` | `decider`
`protected org.slf4j.Logger` | `logger`

Constructor Summary
`AbstractSelector()`

Method Summary
`void` | `setDecider(Decider decider)`

Methods inherited from class org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
`beforeDeciding, phaseEnded, phaseStarted, stepDecided, stepTaken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.localsearch.decider.selector.Selector
`moveIterator`

Methods inherited from interface org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListener
`beforeDeciding, phaseEnded, phaseStarted, stepDecided, stepTaken`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### decider

    protected Decider decider

Constructor Detail

### AbstractSelector

    public AbstractSelector()

Method Detail

### setDecider

    public void setDecider(Decider decider)

  Specified by:
    `setDecider` in interface `DeciderAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.